## gnocatan-ltp-maps 2.5

=== Makefile ===
all: install

install:
	install -d -m 755 $(DESTDIR)/usr/share/games/gnocatan
	install    -m 664 maps/Iles.game $(DESTDIR)/usr/share/games/gnocatan/
	install    -m 664 maps/archipel_gold.game $(DESTDIR)/usr/share/games/gnocatan/
	install    -m 664 maps/coeur.game $(DESTDIR)/usr/share/games/gnocatan/
	install    -m 664 maps/specialistes3.game $(DESTDIR)/usr/share/games/gnocatan/
	install    -m 664 maps/specialistes4.game $(DESTDIR)/usr/share/games/gnocatan/

clean:
	@echo "Nothing to clean up"

uninstall:
	rm -f $(DESTDIR)/usr/share/games/gnocatan/Iles.game
	rm -f $(DESTDIR)/usr/share/games/gnocatan/archipel_gold.game
	rm -f $(DESTDIR)/usr/share/games/gnocatan/coeur.game
	rm -f $(DESTDIR)/usr/share/games/gnocatan/specialistes3.game
	rm -f $(DESTDIR)/usr/share/games/gnocatan/specialistes4.game

remake: clean all

=== debian/changelog ===
gnocatan-ltp-maps (2.5) testing; urgency=low

  * Yearly cleaning

 -- LT-P <LT-P@LT-P.net>  Wed,  6 Apr 2005 01:11:08 +0200

gnocatan-ltp-maps (2.4.0-0) testing; urgency=low

  * Removing some maps which are now provided by gnocatan-server-data

 -- LT-P <LT-P@LT-P.net>  Mon, 10 May 2004 20:00:00 +0200

gnocatan-ltp-maps (2.3.0-0) testing; urgency=low

  * New map: Iles

 -- LT-P <LT-P@LT-P.net>  Thr, 19 Feb 2004 22:04:57 +0100

gnocatan-ltp-maps (2.2.0-0) testing; urgency=low

  * New map: Coeur

 -- LT-P <LT-P@LT-P.net>  Sun, 15 Feb 2004 17:00:00 +0100

gnocatan-ltp-maps (2.1.1-0) testing; urgency=low

  * Previous release failed to install. Strange, but should be fixed now.

 -- LT-P <LT-P@LT-P.net>  Sun, 14 Sep 2003 17:48:56 +0200

gnocatan-ltp-maps (2.1.0-0) testing; urgency=low

  * New map: Guerre de 100 ans
  * New map: Les specialistes 3
  * New map: Les specialistes 4
  * Light update of Cube

 -- LT-P <LT-P@LT-P.net>  Tue,  9 Sep 2003 01:25:20 +0200

gnocatan-ltp-maps (2.0.2-1) stable; urgency=low

  * Minor corrections in the maps

 -- LT-P <LT-P@LT-P.net>  Mon,  4 Aug 2003 17:49:52 +0200

gnocatan-ltp-maps (2.0.1-1) unstable; urgency=low

  * Cube is now a map for 4 players instead of 5

 -- LT-P <LT-P@LT-P.net>  Mon,  27 Jul 2003 17:00:00 +0200

gnocatan-ltp-maps (2.0.0-1) unstable; urgency=low

  * New map: cube
  * A few corrections in the others maps
  * The makefile can now install the maps

 -- LT-P <LT-P@LT-P.net>  Wed, 2 July 2003 21:23:00 +0200

gnocatan-ltp-maps (1.0.0-1) unstable; urgency=low

  * Initial Release.

 -- LT-P <LT-P@LT-P.net>  Wed, 25 Jun 2003 20:57:44 +0200

=== debian/control ===
Source: gnocatan-ltp-maps
Section: games
Priority: optional
Maintainer: LT-P <LT-P@LT-P.net>
Build-Depends: debhelper (>> 4.0.0)
Standards-Version: 3.5.8

Package: gnocatan-ltp-maps
Architecture: all
Depends: gnocatan-server-data (>= 0.8.1)
Description: New maps for gnocatan
 New maps for gnocatan, give them a try !

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp

configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) DESTDIR=$(CURDIR)/debian/gnocatan-ltp-maps

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	rm -rf $(CURDIR)/debian/gnocatan-ltp-maps
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(CURDIR)/debian/gnocatan-ltp-maps


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb
	

# Build architecture-dependent files here.
binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
